# Tests fail due to missing git data,
# and building the JS from source doesn't work (tested as of version 2.0.2)
%bcond_with	tests

%define module	bokeh

Name:		python-%{module}
Version:	2.2.3
Release:	%mkrel 1
Summary:	Interactive plots and applications in the browser from Python
Group:		Development/Python
# BSD-3-Clause
License:	BSD
URL:		http://github.com/bokeh/bokeh
Source0:	https://pypi.io/packages/source/b/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Bokeh is an interactive visualization library for modern web browsers.
It provides elegant, concise construction of versatile graphics, and
affords high-performance interactivity over large or streaming datasets.
Bokeh can help anyone who would like to quickly and easily make
interactive plots, dashboards, and data applications.

%package -n	python3-%{module}
Summary:	Interactive plots and applications in the browser from Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

# SECTION test requirements
%if %{with tests}
BuildRequires:	python3dist(jinja2) >= 2.7
BuildRequires:	python3dist(numpy) >= 1.11.3
BuildRequires:	python3dist(packaging) >= 16.8
BuildRequires:	python3dist(pillow) >= 4.0
BuildRequires:	python3dist(python-dateutil) >= 2.1
BuildRequires:	python3dist(pyyaml) >= 3.10
BuildRequires:	python3dist(tornado) >= 5.1
BuildRequires:	python3dist(typing-extensions) >= 3.7.4
BuildRequires:	python3dist(pandas)
%endif

%description -n	python3-%{module}
Bokeh is an interactive visualization library for modern web browsers.
It provides elegant, concise construction of versatile graphics, and
affords high-performance interactivity over large or streaming datasets.
Bokeh can help anyone who would like to quickly and easily make
interactive plots, dashboards, and data applications.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{module}
%doc CHANGELOG README.md
%license LICENSE.txt
%{_bindir}/%{module}
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Nov 03 2020 joequant <joequant> 2.2.3-1.mga8
+ Revision: 1641887
- update to 2.2.3

* Sat Jul 25 2020 daviddavid <daviddavid> 2.1.1-1.mga8
+ Revision: 1608931
- initial package python-bokeh

